---
title: Delete a namespace
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[AI Search](https://developers.cloudflare.com/api/python/resources/ai_search)

[Namespaces](https://developers.cloudflare.com/api/python/resources/ai_search/subresources/namespaces)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete a namespace

aisearch.namespaces.delete(strname, NamespaceDeleteParams\*\*kwargs) -> object

DELETE/accounts/{account\_id}/ai-search/namespaces/{name}

Permanently delete a namespace. The namespace must be empty (no instances), and the default namespace cannot be deleted.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### ParametersExpand Collapse

account\_id: str

[Link to this property](<#(resource)%20ai_search.namespaces%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

name: str

[Link to this property](<#(resource)%20ai_search.namespaces%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20name%20%3E%20(schema)>)

##### ReturnsExpand Collapse

object

[Link to this property](<#(resource)%20ai_search.namespaces%20%3E%20(method)%20delete%20%3E%20(network%20schema)%20%3E%20(property)%20result>)

### Delete a namespace

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
namespace = client.aisearch.namespaces.delete(
    name="production",
    account_id="c3dc5f0b34a14ff8e1b3ec04895e1b22",
)
print(namespace)
```

200 example

```
{
  "result": {},
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "result": {},
  "success": true
}
```